Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.util
Class VersioningXMLStreamReader

    java.lang.Object
      StreamReaderDelegate
          com.bea.p13n.util.VersioningXMLStreamReader

    public class VersioningXMLStreamReader

extends StreamReaderDelegate

This class can be used to transform namespaces for processing older versions of an XML schema. This class assumes that the changes made between versions of the schema are compatible.

Constructor Summary
`VersioningXMLStreamReader(XMLStreamReader source, Map<String,String> versionMap)` Construct an instance with a source, and a version map.

Method Summary
`QName` | `getAttributeName(int index)`
`String` | `getAttributeNamespace(int index)`
`String` | `getAttributeValue(String namespaceUri, String localName)`
`QName` | `getName()`
`NamespaceContext` | `getNamespaceContext()`
`String` | `getNamespaceURI()`
`String` | `getNamespaceURI(int index)`
`String` | `getNamespaceURI(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersioningXMLStreamReader

    public VersioningXMLStreamReader(XMLStreamReader source,
                                     Map<String,String> versionMap)

  Construct an instance with a source, and a version map.

  Parameters
    `source` - This is a reader constructed over a XML input stream
    `versionMap` - A map containing namespace URIs of previous versions and the current version

Method Detail

### getAttributeName

    public QName getAttributeName(int index)

### getAttributeNamespace

    public String getAttributeNamespace(int index)

### getAttributeValue

    public String getAttributeValue(String namespaceUri,
                                    String localName)

### getName

    public QName getName()

### getNamespaceURI

    public String getNamespaceURI()

### getNamespaceURI

    public String getNamespaceURI(int index)

### getNamespaceURI

    public String getNamespaceURI(String prefix)

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved